Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.cwe
Class CweHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.owasp.dependencycheck.data.cwe.CweHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler

    public class CweHandler

extends org.xml.sax.helpers.DefaultHandler

A SAX Handler that will parse the CWE XML.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`CweHandler()`

Method Summary
`HashMap<String,String>` | `getCwe()` Returns the HashMap of CWE entries (CWE-ID, Full CWE Name).
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CweHandler

    public CweHandler()

Method Detail

### getCwe

    public HashMap<String,String> getCwe()

  Returns the HashMap of CWE entries (CWE-ID, Full CWE Name).

  Returns:
    a HashMap of CWE entries

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.DefaultHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.